Kerbal Space Program - Bug #3550

[Tech Tree Bug] When Tech Is Researched, The Next Batch Of Tech Doesn't Show
11/23/2014 10:15 AM - ARelientOwl

Status: Closed Start date: 11/23/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

When | go into the R&D lab to research new technology using science, | select the tech | want and choose to spend my points on but
when | do this, the game doesn't show me the next bunch of parts on the tech tree. When | leave the R&D facility and then enter
again, the tech tree has updated and shows me the next options along. This is annoying when | have a large amount of science to
spend as | must constantly leave and enter the R&D facility after researching a single piece of technology. | have tried a clean
reinstall on Steam, same issue. The game does it with and without mods regardless. When | click to research a piece of technology,
the tech icon doesn't light up green to confirm I've researched it until I've left and re-entered the facility. | didn't have a problem in the
older versions before 0.25. Any help?

History

#1 - 11/23/2014 12:23 PM - quietghost

- Status changed from New to Need More Info

| was unable to reproduce. Your are using steam on windows? Can you post some screenshots of the issue?

#2 - 11/23/2014 01:48 PM - ARelientOwl
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

Correct, I'm using Steam on Windows 7. | just selected preferences, reverted to stable version (0.24) and then reinstall update 0.25 and it seems to
have fixed the issue.

#3 - 11/23/2014 05:11 PM - Squelch
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100

Thanks for reporting back. I'll close this one.

#4 - 12/01/2014 03:30 AM - Squelch

- Status changed from Closed to Resolved

#5 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
